cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted

error while loading shared libraries: libncurses.so.4

Hi,

I am trying to use the /usr/openv/netbackup/bin/bp command to initiate a restore on the Linux client (RedHat 3.0), and running into a missing libncurses.so.4 library.

"./bp: error while loading shared libraries: libncurses.so.4: cannot open shared object file: No such file or directory"

I do have the libncurses.so.5, part of the ncurses-5.3-9.4 rpm.

I found some info that i need the nurses ncurses4-5.0-2, which appears to be older than the version i have.

Is it possible to have bp use the new version, or i need to use the older version only?

Any help appreciated.

Thanks,
Anjan
1 Reply
Highlighted

Re: error while loading shared libraries: libncurses.so.4

Hi,

Just made a softlink for the libncurses.so.4 to libncurses.so.5, and i am good to go now.

Thanks,
Anjan